package com.ruoyi.ss.dashboard;

import com.ruoyi.ss.businessRecord.domain.SmBusinessRecordVo;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 舆情分析VO
 * @author 辉
 * 2024/3/7
 */
@Data
public class BriefVo {
    private Integer deviceCount;    // 设备数量
    private Integer onlineCount;    // 在线数量

    private Integer userCount;      // 商户用户数量
    private Integer tenantCount;    // 租户用户数量

    private Integer rechargeCount;          // 充值订单数量
    private Integer todayRechargeCount;     // 今日充值订单数量

    private BigDecimal rechargeAmount;      // 充值金额
    private BigDecimal todayRechargeAmount; // 今日充值金额

    private BigDecimal totalMonthAmount;    // 总月费收入
    private BigDecimal todayMonthAmount;    // 今日月费收入

    private BigDecimal totalUserBalance;    // 用户总余额

    private List<SmBusinessRecordVo> history;  // 历史数据
}
