package com.ruoyi.ss.deviceBindRecord.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 设备绑定记录对象 sm_device_bind_record
 *
 * @author ruoyi
 * @date 2024-04-17
 */
@Data
public class SmDeviceBindRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录id */
    private Long recordId;

    /** 设备id */
    @Excel(name = "设备id")
    private Long deviceId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

}
