package com.ruoyi.ss.receiveBill.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * @author wjh
 * 2024/7/22
 */
@Data
public class ReceiveBillQuery extends ReceiveBill{

    @ApiModelProperty("账单年份")
    private Integer billYear;

    @ApiModelProperty("账单月份")
    private Integer billMonth;

    @ApiModelProperty("账单日期")
    private LocalDate billDate;

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("设备名称")
    private String deviceName;

    @ApiModelProperty("设备SN")
    private String deviceNo;;

}
