package com.ruoyi.ss.transactionBill.service;

import com.ruoyi.ss.transactionBill.domain.TransactionBill;
import com.ruoyi.ss.transactionBill.domain.bo.RechargeBO;
import com.ruoyi.ss.transactionBill.domain.bo.WithdrawBO;
import com.ruoyi.ss.transactionBill.domain.dto.WithdrawDTO;

/**
 * @author wjh
 * 2024/7/28
 */
public interface TransactionBillConverter {

    /**
     * 将参数转为充值BO
     */
    RechargeBO toRechargeBO(TransactionBill data);

    /**
     * 将参数转为提现BO
     */
    WithdrawBO toWithdrawBO(WithdrawDTO dto);
}
